at.chipkarte.client.elgaad.soap

## Class LegalAuthenticator

- Object
- - at.chipkarte.client.elgaad.soap.LegalAuthenticator

-     public class LegalAuthenticator
      extends Object

  Daten des Unterzeichners.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob LegalAuthenticator zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegalAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdresse()` Adresse des Unterzeichners.
    `Id[]` | `getIdList()` Identifikation des Unterzeichners des Dokuments im lokalen System.
    `Name[]` | `getNameList()` Namen des Unterzeichners.
    `Organization` | `getOrganization()` Organisationsdaten des Unterzeichners.
    `String[]` | `getTelecomList()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `String` | `getTime()` Der Zeitpunkt, an dem das Dokument unterzeichnet wurde.
    `void` | `setAdresse(Adresse adresse)`
    `void` | `setIdList(Id[] idList)`
    `void` | `setNameList(Name[] nameList)`
    `void` | `setOrganization(Organization organization)`
    `void` | `setTelecomList(String[] telecomList)`
    `void` | `setTime(String time)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegalAuthenticator

          public LegalAuthenticator()

  - ### Method Detail

    - #### getTime

          public String getTime()

      Der Zeitpunkt, an dem das Dokument unterzeichnet wurde.
      Eingabebedingung:
      Erfassung: Kann. Wird bei Nichtangabe automatisch durch das eCS befüllt.
      Änderung: Kann. Wird bei Nichtangabe automatisch durch das eCS befüllt.
      Ausgabebedingung: Muss
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Unterzeichnungszeitpunkt

    - #### getIdList

          public Id[] getIdList()

      Identifikation des Unterzeichners des Dokuments im lokalen System. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        lokale Ids

    - #### getAdresse

          public Adresse getAdresse()

      Adresse des Unterzeichners. Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Adresse

    - #### getTelecomList

          public String[] getTelecomList()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Liste von Kontaktdaten

    - #### getNameList

          public Name[] getNameList()

      Namen des Unterzeichners.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiter).
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiter).
      Ausgabebedingung: Muss
      Format: max. 255 stellig (alphanumerisch)
      Returns:
        Liste von Namen

    - #### getOrganization

          public Organization getOrganization()

      Organisationsdaten des Unterzeichners. Siehe `Organization`.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (Ordinationsdaten der angemeldeten Ordination).
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (Ordinationsdaten der angemeldeten Ordination).
      Ausgabebedingung: Muss
      Returns:
        Organisation

    - #### setTime

          public void setTime(String time)

    - #### setIdList

          public void setIdList(Id[] idList)

    - #### setAdresse

          public void setAdresse(Adresse adresse)

    - #### setTelecomList

          public void setTelecomList(String[] telecomList)

    - #### setNameList

          public void setNameList(Name[] nameList)

    - #### setOrganization

          public void setOrganization(Organization organization)